package com.ejie.ab04b.model.nora;

/**
 * Municipio.
 * 
 * @author GFI
 */
public class Municipio implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String codProvincia;
	private String codMunicipio;
	private String descripcion;

	/**
	 * Method 'Municipio'.
	 */
	public Municipio() {
		super();
	}

	/**
	 * Method 'Municipio'.
	 * 
	 *  codMunicipio
	 *            Long
	 *
	 * @param codMunicipio the cod municipio
	 */
	public Municipio(String codMunicipio) {
		super();
		this.codMunicipio = codMunicipio;
	}

	/**
	 * Method 'Municipio'.
	 * 
	 *  codProvincia
	 *            Long
	 *  codMunicipio
	 *            Long
	 *  descripcion
	 *            String
	 *
	 * @param codProvincia the cod provincia
	 * @param codMunicipio the cod municipio
	 * @param descripcion the descripcion
	 */
	public Municipio(String codProvincia, String codMunicipio, String descripcion) {
		super();
		this.codProvincia = codProvincia;
		this.codMunicipio = codMunicipio;
		this.descripcion = descripcion;
	}

	/**
	 * Method 'getCodProvincia'.
	 * 
	 *  String
	 *
	 * @return the cod provincia
	 */
	public String getCodProvincia() {
		return this.codProvincia;
	}

	/**
	 * Method 'setCodProvincia'.
	 * 
	 *  codProvincia
	 *            String
	 *
	 * @param codProvincia the new cod provincia
	 */
	public void setCodProvincia(String codProvincia) {
		this.codProvincia = codProvincia;
	}

	/**
	 * Method 'getCodMunicipio'.
	 * 
	 *  String
	 *
	 * @return the cod municipio
	 */
	public String getCodMunicipio() {
		return this.codMunicipio;
	}

	/**
	 * Method 'setCodMunicipio'.
	 * 
	 *  codMunicipio
	 *            String
	 *
	 * @param codMunicipio the new cod municipio
	 */
	public void setCodMunicipio(String codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	/**
	 * Method 'getDescripcion'.
	 * 
	 *  String
	 *
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return this.descripcion;
	}

	/**
	 * Method 'setSescripcion'.
	 * 
	 *  descripcion
	 *            String
	 *
	 * @param descripcion the new descripcion
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 *  String
	 *
	 * @return the string
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append("[ codProvincia: ").append(this.codProvincia).append(" ]");
		result.append(", [ codMunicipio: ").append(this.codMunicipio).append(" ]");
		result.append(", [ descripcion: ").append(this.descripcion).append(" ]");
		result.append("}");
		return result.toString();
	}
}